Summary: BMS module and configuration framework
Name: bmsi-bms
Version: 0.5
Release: 1%{dist}
License: Proprietary
Group: Applications/Accounting
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@bmsi.com>
BuildArch: noarch
Requires: bmsi-db >= 1.0, bmsi-util >= 1.2, posix >= 1.1.7
BuildRequires: bmsi-db >= 1.0, bmsi-util >= 1.2, posix >= 1.1.7, bmsi-edx
BuildRequires: junit, java-devel

%description
This package provides interfaces between accounting modules and a
framework for configuration info.  Configuration data is kept in a
mixture of SYSTEM.DATA btas files and Java properties format.

%prep
%setup -q
# depends on a bunch of app modules
mv RefField.java RefField.java.save

%build
mkdir classes
javac -extdirs /usr/share/java:/usr/lib/java -cp /bms/java -d $PWD/classes *.java config/*.java

%install
mkdir -p $RPM_BUILD_ROOT/bms/java/config
cp -r classes/* $RPM_BUILD_ROOT/bms/java
cp -p config/BMS.java *.props $RPM_BUILD_ROOT/bms/java/config

%files
%defattr(0664,bin,bms,0775)
%dir /bms/java/config
%config /bms/java/config/*
/bms/java/bmsi/bms

%changelog
* Tue Jul 27 2010 Stuart Gathman <stuart@bmsi.com> 0.5-1
- Fix ProfitCenter misspellings
- Move itoa test cases to bmsi-util
* Thu Jul 08 2010 Stuart Gathman <stuart@bmsi.com> 0.4-1
- Make BMS and SystemData typesafe
- add InvSfxField with test cases
- Suppress SystemData FileNotFound complaints on stderr
- Add ProfitCenter
* Thu Mar 25 2010 Stuart Gathman <stuart@bmsi.com> 0.3-1
- add VEND, CUST, FAX modules
* Mon Dec 01 2008 Stuart Gathman <stuart@bmsi.com> 0.2-1
- new modules
- add to CVS
